interface IBlockConfig {
    colour?: string;
    width: string;
}
export declare class BlockAnimation {
    private targetEl;
    private current;
    private colour;
    private blockCache;
    private state;
    private space;
    private timeoutId?;
    constructor(targetEl: HTMLElement);
    cancel(): void;
    setBlockStyle(block: HTMLElement, conf: IBlockConfig): void;
    newLine(): void;
    animationStep(): void;
    loop(): void;
    init(): void;
    rerender(): void;
}
export default BlockAnimation;
